Thanks Lyle, it works now.

But I still want to mention something:  My LOAD_PATH variable was empty:

$ ruby -e "puts $LOAD_PATH"

$

I added /usr/lib/ruby/site_ruby/1.6/i686-linux to RUBYLIB and FXRuby works
now (as does FreeRide).  But I was wondering if you thought there was
something wrong with my install.

In any event, thanks for helping.  When I go back to work, I'll see if I
can get all this installed in the Sun machine as well.

Thanks again,
Daniel.